# taps
tap "homebrew/bundle"
tap "homebrew/cask"
tap "homebrew/cask-drivers"
tap "homebrew/cask-versions"
tap "homebrew/core"
tap "homebrew/services"
tap "osx-cross/arm"
tap "osx-cross/avr"
tap "qmk/qmk"

# system tools
brew "jq"
brew "mtr"
brew "mpc"
brew "wget"
brew "htop"
brew "nano"
brew "ldns" # provides drill
brew "whois"
brew "watch"
brew "iperf3"
brew "ncmpcpp"
brew "openssh"
brew "topgrade"
brew "media-info"
brew "iproute2mac"
brew "pinentry-mac"
brew "wireguard-tools"

# basic desktop apps
cask "iterm2"
cask "element"
cask "telegram"
cask "rectangle"
cask "sublime-text"

# desktop apps - utilities
cask "mp3tag"


# libraries
## TODO / FIXME

brew "gettext"
brew "sqlite"
brew "aria2"
brew "icu4c"
brew "boost"
brew "bat"
brew "glib"
brew "python@3.9"
brew "cmake"
brew "unbound"
brew "harfbuzz"
brew "tesseract"
brew "ffmpeg"
brew "gcc"
brew "git"
brew "git-lfs"
brew "libgpg-error"
brew "libgcrypt"
brew "gperf"
brew "libheif"
brew "imagemagick"
brew "libraqm"
brew "mas"
brew "taglib"
brew "neofetch"
brew "ninja"
brew "nmap"
brew "openssl@3"
brew "pandoc"
brew "tcl-tk"
brew "platformio"
brew "protobuf"
brew "pyenv"
brew "qrencode"
brew "ripgrep"
brew "rust-analyzer"
brew "rustup-init"
brew "smartmontools"
brew "sshuttle"
brew "stress"
brew "syncthing", restart_service: true
brew "uncrustify"
brew "xdelta"
brew "yt-dlp"
brew "qmk/qmk/qmk"

cask "alfred"
cask "amorphousdiskmark"
cask "anydesk"
cask "audacity"
cask "avibrazil-rdm"
cask "avidemux"
cask "balenaetcher"
cask "bartender"
cask "calibre"
cask "carbon-copy-cloner"
cask "contexts"
cask "daisydisk"
cask "dash"
cask "db-browser-for-sqlite"
cask "discord"
cask "dotnet-sdk"
cask "firefox"
cask "fl-studio"
cask "gimp"
cask "google-chrome"
cask "google-drive"
cask "gpg-suite"
cask "hex-fiend"
cask "iina"
cask "inkscape"
cask "itch"
cask "itsycal"
cask "jetbrains-toolbox"
cask "little-snitch"
cask "maciasl"
cask "mactex-no-gui"
cask "melonds"
cask "nheko"
cask "obs"
cask "obsidian"
cask "plistedit-pro"
cask "pokemon-reborn"
cask "pokemon-showdown"
cask "pokemon-trading-card-game-online"
cask "setapp"
cask "signal"
cask "spotify"
cask "steam"
cask "telegram-desktop" # for testing
cask "topnotch"
cask "transmit"
cask "viscosity"
cask "wireshark"

mas "Amphetamine", id: 937984704
mas "Boop", id: 1518425043
mas "Developer", id: 640199958
mas "ICE Buddy", id: 1595947689
mas "Key Codes", id: 414568915
mas "Keynote", id: 409183694
mas "Navigator", id: 1590354537
mas "Numbers", id: 409203825
mas "Pages", id: 409201541
mas "Reeder", id: 1529448980
